<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="Ellipsen/Ellipse from 3 Points">
<Parameter name="P1">A</Parameter>
<Parameter name="P2">M</Parameter>
<Parameter name="P3">P</Parameter>
<Comment>
<P>Constructs an ellipse from center and two points.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="3.673716012084592" y="0.48338368580060387">Punkt in 3.67372, 0.48338</Point>
<Point name="P2" n="1" mainparameter="true" x="-0.4108761329305137" y="-1.4743202416918426">Punkt in -0.41088, -1.47432</Point>
<Point name="P3" n="2" mainparameter="true" x="-0.24" y="1.86">Punkt in -0.24, 1.86</Point>
<Line name="g1" n="3" color="1" hidden="super" from="P2" to="P1">Gerade durch P2 und P1</Line>
<Line name="g2" n="4" color="1" hidden="super" from="P2" to="P3">Gerade durch P2 und P3</Line>
<Circle name="k1" n="5" color="1" hidden="super" through="P3" midpoint="P2">Kreis um P2 durch P3</Circle>
<Intersection name="S1" n="6" color="1" hidden="super" first="g2" second="k1" awayfrom="P3" which="second">Schnitt zwischen g2 und k1</Intersection>
<Circle name="k2" n="7" color="1" hidden="super" through="P1" midpoint="P2">Kreis um P2 durch P1</Circle>
<Intersection name="S2" n="8" color="1" hidden="super" first="g1" second="k2" awayfrom="P1" which="second">Schnitt zwischen g1 und k2</Intersection>
<Circle name="k3" n="9" color="2" hidden="super" through="P1" midpoint="P2">Kreis um P2 durch P1</Circle>
<Plumb name="l1" n="10" color="2" hidden="super" point="P3" line="g1" valid="true">Lot durch P3 zu g1</Plumb>
<Intersection name="S3" n="11" color="2" hidden="super" first="l1" second="k3" which="first">Schnitt zwischen l1 und k3</Intersection>
<Midpoint name="M1" n="12" color="2" hidden="super" first="S3" second="P1">Mitte zwischen S3 und P1</Midpoint>
<Line name="g3" n="13" color="2" hidden="super" from="P2" to="M1">Gerade durch P2 und M1</Line>
<Intersection name="S4" n="14" color="3" hidden="super" first="g3" second="k3" which="first">Schnitt zwischen g3 und k3</Intersection>
<Line name="g4" n="15" color="3" hidden="super" from="S3" to="S4">Gerade durch S3 und S4</Line>
<Intersection name="S5" n="16" color="3" hidden="super" first="g4" second="g1">Schnitt zwischen g4 und g1</Intersection>
<Line name="g5" n="17" color="3" hidden="super" from="S5" to="P3">Gerade durch S5 und P3</Line>
<Plumb name="l2" n="18" color="3" hidden="super" point="S4" line="g1" valid="true">Lot durch S4 zu g1</Plumb>
<Intersection name="S6" n="19" color="3" hidden="super" first="g5" second="l2">Schnitt zwischen g5 und l2</Intersection>
<Quadric name="Q1" n="20" color="3" point1="P1" point2="S6" point3="P3" point4="S2" point5="S1">Kegelschnitt durch P1, S6, P3, S2, S1</Quadric>
</Objects>
</Macro>
<Macro Name="Ellipsen/Quarter Ellipse">
<Parameter name="E">E</Parameter>
<Parameter name="F">F</Parameter>
<Parameter name="G">G</Parameter>
<Comment>
<P>Affine mapping of a quarter circle. Enter center, and the
two end points.</P>
</Comment>
<Objects>
<Point name="F" n="0" mainparameter="true" x="2.416918429003021" y="2.3444108761329305">Punkt in 2.41692, 2.34441</Point>
<Point name="G" n="1" mainparameter="true" x="3.17" y="3.94">Punkt in 3.17, 3.94</Point>
<Point name="E" n="2" mainparameter="true" x="6.4" y="2.37">Punkt in 6.4, 2.37</Point>
<Function name="F1" n="3" color="2" target="true" x="x(F)+(x(E)-x(F))*cos(t)+(x(G)-x(F))*sin(t)" y="y(F)+(y(E)-y(F))*cos(t)+(y(G)-y(F))*sin(t)" var="t" min="0" max="90" d="1">Funktion ( x(F)+(x(E)-x(F))*cos(t)+(x(G)-x(F))*sin(t) , y(F)+(y(E)-y(F))*cos(t)+(y(G)-y(F))*sin(t) )</Function>
</Objects>
</Macro>
</CaR>
